## org.gnu.gdk
Class WMDecoration

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.WMDecoration

public class WMDecoration
extends Flags

Field Summary
`static WMDecoration` `ALL`
`static WMDecoration` `BORDER`
`static WMDecoration` `MAXIMIZE`
`static WMDecoration` `MENU`
`static WMDecoration` `MINIMIZE`
`static WMDecoration` `RESIZEH`
`static WMDecoration` `TITLE`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`WMDecoration` `and(WMDecoration other)`
`static WMDecoration` `intern(int value)`
`WMDecoration` `or(WMDecoration other)`
`boolean` `test(WMDecoration other)`
`WMDecoration` `xor(WMDecoration other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final WMDecoration ALL

### BORDER

    public static final WMDecoration BORDER

### RESIZEH

    public static final WMDecoration RESIZEH

### TITLE

    public static final WMDecoration TITLE

### MENU

    public static final WMDecoration MENU

### MINIMIZE

    public static final WMDecoration MINIMIZE

### MAXIMIZE

    public static final WMDecoration MAXIMIZE

Method Detail

### intern

    public static WMDecoration intern(int value)

### or

    public WMDecoration or(WMDecoration other)

### and

    public WMDecoration and(WMDecoration other)

### xor

    public WMDecoration xor(WMDecoration other)

### test

    public boolean test(WMDecoration other)